﻿using UnityEngine;
using System.Collections;

public class Event : MonoBehaviour
{
	public Week[] Happen_Day;
	public DaySchedule[] Happen_Time;

	// Use this for initialization
//	void Start () {
//	
//	}
	
	// Update is called once per frame
//	void Update () {
//	
//	}

	//Time Matching
	virtual public bool CheckHappen(EventTime inputTime)
	{
		int DayLength = Happen_Day.Length;
		int ScheduleLength = Happen_Time.Length;

		bool DayMatch = false;
		for (int i = 0; i < DayLength; i++)
		{
			if (inputTime._week.Equals (Happen_Day [i]))
			{
				DayMatch = true;
			}
		}

		if (!DayMatch)
		{
			return false;
		}

		for (int i = 0; i < ScheduleLength; i++)
		{
			if (inputTime._schedule.Equals (Happen_Time [i]))
			{
				return true;
			}
		}

		return false;
	}

	virtual public void DoEvent()
	{
	}
}
