﻿using UnityEngine;
using System.Collections;

public class Event_AfternoonTrain : Event
{
	public GameObject Store;

	public AudioSource SoundTrain;

	public AudioSource SoundStore;

	int Stage;

	void Awake()
	{
		Store.SetActive (false);
		Stage = 0;
	}



	public override void DoEvent ()
	{
		base.DoEvent ();

		if (Stage.Equals (0)) {

			if (GameManager.GetEventTime ()._week.Equals (Week.Tue)) {
				Stage = 3;
				//PopImage
				Store.SetActive (true);
				SoundTrain.Pause ();
				SoundStore.Play ();

				//Active Pot on House;
			} else {
				Stage = 1;
				CsTextPrinter.S.SigleShowText (2, "Get Some Beer with your frined?");
				CsTextPrinter.S.disappearTime = 5f;

				UI_Yes.SetFunc (Yes ());
				UI_No.SetFunc (No ());
				UI_YesNo.Appear (new Vector2 (0.0f, 0.0f));
			}
		} else if (Stage.Equals (2)) {
			Stage = 0;
			Store.SetActive (false);

			SoundTrain.Play ();
			SoundStore.Pause ();

			GameManager.NextSchedule (3);
		} else if (Stage.Equals (3)) {
			Stage = 4;
			CsTextPrinter.S.SigleShowText (2, "I bought a small flowerpot on a way to home.");
			CsTextPrinter.S.disappearTime = 5f;
			//Pop FlowerPot Image
		} else if (Stage.Equals (4)) {
			Stage = 2;
			CsTextPrinter.S.SigleShowText (2, "It'll be a small happy to me.");
			CsTextPrinter.S.disappearTime = 5f;
		}

	}

	IEnumerator Yes()
	{
		Char_Manager.Emotion_Change (1);

		SoundTrain.Pause ();

		Char_Manager.SetBeer (true);

		CsTextPrinter.S.SigleShowText (2, "Drink or Die!!!!");
		CsTextPrinter.S.disappearTime = 5f;

		//Black Out
		//Drink Sound Play
		yield return new WaitForSeconds (5.0f);

		//Return;
		Stage = 2;

		yield break;
	}

	IEnumerator No()
	{
		Char_Manager.Emotion_Change (1);

		CsTextPrinter.S.SigleShowText (2, "Go Sweet Home!!!");
		CsTextPrinter.S.disappearTime = 5f;

		Stage = 2;

		yield break;
	}
}
