﻿using UnityEngine;
using System.Collections;

public class Event_Manager : MonoBehaviour
{

	private static Event_Manager m_instance;

	private Event[] EventList;

	// Use this for initialization
	void Awake ()
	{
		m_instance = this;

		EventList = GetComponentsInChildren<Event> ();
	}
	
	public static void CheckEvent()
	{
		EventTime NowTime = GameManager.GetEventTime ();
		int NumofEvent = m_instance.EventList.Length;
		for (int i = 0; i < NumofEvent; i++)
		{
			if (m_instance.EventList[i].CheckHappen(NowTime))
			{
				m_instance.EventList [i].DoEvent ();
			}
		}
	}
}
