﻿using UnityEngine;
using System.Collections;

public class TouchEvent_HomeDoor : Event
{
	int Stage = 0;
	public override void DoEvent ()
	{
		base.DoEvent ();

		if (Stage.Equals (0)) {
			if (GameManager.GetEventTime ()._week.Equals (Week.Wed) ||
			    GameManager.GetEventTime ()._week.Equals (Week.Thu) ||
			    GameManager.GetEventTime ()._week.Equals (Week.Fri)) {
				Stage = 1;

				CsTextPrinter.S.SigleShowText (3, "Give some water to FlowerPot?");
				CsTextPrinter.S.disappearTime = 5f;

				UI_Yes.SetFunc (Yes ());
				UI_No.SetFunc (No ());
				UI_YesNo.Appear (new Vector2 (0.0f, 0.0f));

			} else {
				Stage = 0;
				GameManager.NextSchedule (1);
			}
		} else if (Stage.Equals (2)) {
			GameManager.NextSchedule (1);
		}
	}

	IEnumerator Yes()
	{	
		//Stage = 2;

		Char_Manager.Emotion_Change (1);

		//Sound
		yield return new WaitForSeconds (1.0f);
		CsTextPrinter.S.SigleShowText (3, "This makes me happy.");
		CsTextPrinter.S.disappearTime = 3.5f;
		Stage = 2;

	}

	IEnumerator No()
	{
		//Stage = 2;

		Char_Manager.Emotion_Change (-1);
		yield return new WaitForSeconds (1.0f);
		Stage = 2;
	}
}
