﻿using UnityEngine;
using System.Collections;

public class Event_AfternoonCompany : Event
{
	int Stage;

	void Awake()
	{
		Stage = 0;
	}
	public override void DoEvent ()
	{
		base.DoEvent ();

		if (Stage.Equals (0)) {
			if (Char_Manager.isLate ()) {
				Stage = 2;
				CsTextPrinter.S.SigleShowText (3, "Because I late today, It is better");
				CsTextPrinter.S.disappearTime = 5f;
				CsTextPrinter.S.SigleShowText (4, "  to do some Extra Jobs on My Company Life.");
				CsTextPrinter.S.disappearTime = 5f;
			} else {
				Stage = 1;
				CsTextPrinter.S.SigleShowText (2, "Go Home Now?");
				CsTextPrinter.S.disappearTime = 5f;

				UI_Yes.SetFunc (Yes ());
				UI_No.SetFunc (No ());
				UI_YesNo.Appear (new Vector2 (0.0f, 0.0f));
			}
		} else if (Stage.Equals (2)) {
			Stage = 0;
			GameManager.NextSchedule (2);
		} else if (Stage.Equals (3)) {
			Stage = 0;
			GameManager.NextSchedule (1);
		}
	}

	IEnumerator Yes()
	{
		Char_Manager.Emotion_Change (1);
		CsTextPrinter.S.SigleShowText (3, "Time to Go home");
		CsTextPrinter.S.disappearTime = 5f;

		//BlackOut
		yield return new WaitForSeconds(2.0f);

		Stage = 3;
	}

	IEnumerator No()
	{
		Char_Manager.Emotion_Change (-1);

		CsTextPrinter.S.SigleShowText (3, "Do Works More!!!");
		CsTextPrinter.S.disappearTime = 5f;
		//BlackOut
		yield return new WaitForSeconds(2.0f);

		Stage = 2;
	}
}
