﻿using UnityEngine;
using System.Collections;

public class Event_Meeting : Event
{
	public int Stage;
	public PaperBag[] ColorList;

	void Awake()
	{
		Stage = 0;
	}

	public override void DoEvent ()
	{
		base.DoEvent ();

		//if (Cjar)
		if (Stage.Equals (0)) {
			if (Char_Manager.isLate ()) {
				//Emotion Down
				Char_Manager.Emotion_Change (-1);

				CsTextPrinter.S.SigleShowText (3, "Why Are You Late?");
				CsTextPrinter.S.disappearTime = 5f;
				Stage = 1;
			} else {
				CheckDoc ();
				Stage = 2;
			}
		} else if (Stage.Equals (1)) {
			CheckDoc ();
			Stage = 2;
		} else if (Stage.Equals (2)) {
			//bool bWrong = false;
			if (GameManager.GetEventTime ()._week.Equals (Week.Mon)) {
				if (ColorList [0].Equals (Char_Manager.GetPaperBag ())) {
					//Right Doc
					RightDoc();
				} else {
					//Wrong Doc
					WrongDoc();
				}
			} else if (GameManager.GetEventTime ()._week.Equals (Week.Tue)) {
				if (ColorList [1].Equals (Char_Manager.GetPaperBag ())) {
					//Right Doc
					RightDoc();
				} else {
					//Wrong Doc
					WrongDoc();
				}
			} else if (GameManager.GetEventTime ()._week.Equals (Week.Wed)) {
				if (ColorList [2].Equals (Char_Manager.GetPaperBag ())) {
					//Right Doc
					RightDoc();
				} else {
					//Wrong Doc
					WrongDoc();
				}
			} else if (GameManager.GetEventTime ()._week.Equals (Week.Thu)) {
				if (ColorList [3].Equals (Char_Manager.GetPaperBag ())) {
					//Right Doc
					RightDoc();
				} else {
					//Wrong Doc
					WrongDoc();
				}
			} else if (GameManager.GetEventTime ()._week.Equals (Week.Fri)) {
				if (ColorList [4].Equals (Char_Manager.GetPaperBag ())) {
					//Right Doc
					RightDoc();
				} else {
					//Wrong Doc
					WrongDoc();
				}
			}
			Stage = 3;
		} else if (Stage.Equals (3)) {
			Stage = 0;
			GameManager.NextSchedule (1);
		}



	}

	void CheckDoc()
	{
		CsTextPrinter.S.SigleShowText (3, "Did you Get Doc what i said?");
		CsTextPrinter.S.disappearTime = 5f;
	}

	void RightDoc()
	{
		CsTextPrinter.S.SigleShowText (5, "Fortunately!!");
		CsTextPrinter.S.disappearTime = 5f;
	}

	void WrongDoc()
	{
		CsTextPrinter.S.SigleShowText (5, "I Got some bad words...");
		CsTextPrinter.S.disappearTime = 5f;
		Char_Manager.Emotion_Change (-1);
	}
}
