﻿using UnityEngine;
using System.Collections;

public class Event_Noon : Event
{
	int Stage;

	public AudioSource Typing;

	void Awake()
	{
		Stage = 0;
	}

	public override void DoEvent ()
	{
		base.DoEvent ();

		if (Stage.Equals (0)) {
			CsTextPrinter.S.SigleShowText (2, "After Lunch, Have a Nap Time?");
			CsTextPrinter.S.disappearTime = 5f;

			UI_Yes.SetFunc (Yes());
			UI_No.SetFunc (No ());
			UI_YesNo.Appear (new Vector2 (0.0f, 0.0f));
		}
		if (Stage.Equals (2)) {
			Stage = 0;
			GameManager.NextSchedule (1);

		}
	}

	IEnumerator Yes()
	{


		Char_Manager.Emotion_Change (1);
		Stage = 1;
		CsTextPrinter.S.SigleShowText (3, "It's Nap Time");
		CsTextPrinter.S.disappearTime = 5f;

		Typing.Pause ();

		//BlackOut
		yield return new WaitForSeconds(2.0f);

		CsTextPrinter.S.SigleShowText (3, "Feel Better");
		CsTextPrinter.S.disappearTime = 5f;
		Stage = 2;

		Typing.PlayDelayed (1.5f);
	}

	IEnumerator No()
	{
		Char_Manager.Emotion_Change (-1);
		Stage = 1;

		CsTextPrinter.S.SigleShowText (3, "Do Works");
		CsTextPrinter.S.disappearTime = 5f;
		//BlackOut
		yield return new WaitForSeconds(2.0f);

		CsTextPrinter.S.SigleShowText (3, "Feel Tired");
		CsTextPrinter.S.disappearTime = 5f;
		Stage = 2;
	}
//	// Use this for initialization
//	void Start () {
//	
//	}
//	
//	// Update is called once per frame
//	void Update () {
//	
//	}
}
