﻿using UnityEngine;
using System.Collections;

public class UI_YesNo : MonoBehaviour
{
	private static UI_YesNo m_instance;

	private Animation _Anim;

	void Awake()
	{
		m_instance = this;
		_Anim = GetComponent<Animation> ();
		UI_YesNo.Disappear ();
	}

	public static void Appear(Vector2 pos)
	{
		m_instance.gameObject.transform.position = new Vector3 (pos.x, pos.y, -0.5f);
		m_instance._Anim.Play ();
	}

	public static void Disappear()
	{
		m_instance.gameObject.transform.position = new Vector3 (-10.0f, -10.0f, -0.5f);
	}
}
