﻿using UnityEngine;
using System.Collections;

public class Char_Manager : MonoBehaviour
{
	private static Char_Manager m_instance;

	public int Emotion_Value;

	public PaperBag _PaperBag;

	public bool bLate;

	public bool bNap;

	public bool bBeer;

	public emotionArray EmotionTable;

	//public float Initial_Value;

	// Use this for initialization
	void Awake ()
	{
		DontDestroyOnLoad (gameObject);
		m_instance = this;

		BG_Manager.SetSaturation (Emotion_Value * 0.1f);
		//init Emotion_Value;
		//Emotion_Value = 0.0f;
	}

	public static void Emotion_Change(int input)
	{
		int ExValue = m_instance.Emotion_Value;
		int Gap = input;


		m_instance.Emotion_Value += input;

		if (m_instance.Emotion_Value > 10) {
			m_instance.Emotion_Value = 10;

			Gap = m_instance.Emotion_Value - ExValue;
		} else if (m_instance.Emotion_Value <= 0) {
			m_instance.Emotion_Value = 1;

			Gap = m_instance.Emotion_Value - ExValue;
		}

		BG_Manager.SetSaturation (m_instance.Emotion_Value * 0.1f);

		m_instance.EmotionTable.EmotionChange (Gap);
	}

	public static void SetPaperBag(PaperBag ColorOfBag)
	{
		m_instance._PaperBag = ColorOfBag;
	}

	public static PaperBag GetPaperBag()
	{
		return m_instance._PaperBag;
	}

	public static bool isLate()
	{
		return m_instance.bLate;
	}

	public static void SetLate(bool input)
	{
		m_instance.bLate = input;
	}

	public static void SetNap(bool input)
	{
		m_instance.bNap = input;
	}

	public static bool GetNap()
	{
		return m_instance.bNap;
	}

	public static void SetBeer(bool input)
	{
		m_instance.bBeer = input;
	}

	public static bool GetBeer()
	{
		return m_instance.bBeer;
	}


	
//	// Update is called once per frame
//	void Update ()
//	{
//	
//	}
}
