﻿using UnityEngine;
using System.Collections;

public class Event_NightTrain : Event
{
	int Stage;

	public AudioSource SoundStore;
	public AudioSource SoundTrain;

	public GameObject Store;

	void Awake()
	{
		Stage = 0;
		Store.SetActive (false);
	}

	public override void DoEvent ()
	{
		base.DoEvent ();

		if (Stage.Equals (0)) {
			if (GameManager.GetEventTime ()._week.Equals (Week.Tue)) {
				Stage = 3;
				//PopImage
				Store.SetActive (true);
				SoundTrain.Pause ();
				SoundStore.Play ();
			} else {
				Stage = 1;
				CsTextPrinter.S.SigleShowText (2, "There are few people on Train.");
				CsTextPrinter.S.disappearTime = 5f;
			}

		} else if (Stage.Equals (1)) {
			Stage = 0;
			Store.SetActive (false);

			SoundTrain.Play ();
			SoundStore.Pause ();

			GameManager.NextSchedule (1);
		} else if (Stage.Equals (3)) {
			Stage = 4;
			CsTextPrinter.S.SigleShowText (2, "I bought a small flowerpot on a way to home.");
			CsTextPrinter.S.disappearTime = 5f;
		} else if (Stage.Equals (4)) {
			Stage = 1;
			CsTextPrinter.S.SigleShowText (2, "It'll be a small happy to me.");
			CsTextPrinter.S.disappearTime = 5f;
		}



	}


}
