﻿using UnityEngine;
using System.Collections;

public class GameManager : MonoBehaviour
{
	private static GameManager m_instance;

	public Week _week;

	public DaySchedule _schedule;

	//public

	// Use this for initialization
	void Awake ()
	{
		m_instance = this;

		//_week = Week.Mon;
		//_schedule = DaySchedule.Morning_Home;
	}
	
//	// Update is called once per frame
//	void Update ()
//	{
//		
//	}

	private static void NextDay()
	{
		Char_Manager.SetPaperBag (PaperBag.None);

		if (m_instance._week == Week.Sun)
		{
			//Ending
			return;
		}
			
		m_instance._week++;
		if (GameManager.GetEventTime ()._week.Equals (Week.Wed) ||
		    GameManager.GetEventTime ()._week.Equals (Week.Thu) ||
		    GameManager.GetEventTime ()._week.Equals (Week.Fri)) {
			BG_Home.SetFlowerPot (true);
		} else {
			BG_Home.SetFlowerPot (false);
		}
		CsWakeUpSlow.WakeUp ();
	}

	public static void NextSchedule(int Stage)
	{
		//if Last Schedule, Go Next Day First Schedule
		if (m_instance._schedule == DaySchedule.Night_Home)
		{
			m_instance._schedule = DaySchedule.Morning_Home;
			GameManager.NextDay ();
		}
		else
		{
			m_instance._schedule += Stage;
		}
		//평일
		if (!(m_instance._week == Week.Sat)
			&& m_instance._week != Week.Sun)
		{
			BG_Manager.ChangeBGbyNowTime ();
		}
		else
		{
			Application.LoadLevel ("Play1");
		}
		
	}

	public static EventTime GetEventTime()
	{
		return new EventTime (m_instance._week, m_instance._schedule);
	}

	//TempDay Change
	void Update()
	{
		if (Input.GetKeyDown(KeyCode.Q))
			NextSchedule (1);
	}
}
