﻿using UnityEngine;
using System.Collections;

public class CsWakeUpSlow : Event
{
	private static CsWakeUpSlow m_instance;

	void Awake()
	{
		m_instance = this;
	}

	public static void WakeUp()
	{
		Char_Manager.SetLate(false);

		if (Char_Manager.GetBeer()) {
			Char_Manager.SetLate(true);
			Char_Manager.SetBeer (false);
		}

		m_instance.DoEvent ();
	}


	void Start()
	{
		DoEvent ();
	}

	public GameObject eye;

	public override void DoEvent ()
	{
		base.DoEvent ();

		eye.SetActive (true);
		eye.GetComponent<Animator> ().SetBool ("isWakingUp", true);

		//New
		Week Today = GameManager.GetEventTime ()._week;

		if (Today != Week.Sat && Today != Week.Sun) {

			if (Today.Equals (Week.Mon))
			{
				if (Char_Manager.isLate ()) {
					CsTextPrinter.S.SigleShowText (3, "OMG... Wake up late...");
					CsTextPrinter.S.disappearTime = 5f;

					Char_Manager.Emotion_Change (-2);
				} else {
					CsTextPrinter.S.SigleShowText (3, "Uh~! Today is Monday... Terrible!");
					CsTextPrinter.S.disappearTime = 5f;

					Char_Manager.Emotion_Change (-1);
				}
			}
			else if (Today.Equals (Week.Tue))
			{
				if (Char_Manager.isLate ())
				{
					CsTextPrinter.S.SigleShowText (3, "OMG... Wake up late...");
					CsTextPrinter.S.disappearTime = 5f;

					Char_Manager.Emotion_Change (-2);
				}
				else
				{
					CsTextPrinter.S.SigleShowText (3, "Where is Friday!?");
					CsTextPrinter.S.disappearTime = 5f;

					Char_Manager.Emotion_Change (-1);
				}
			}
			else if (Today.Equals (Week.Wed))
			{
				if (Char_Manager.isLate ()) {
					CsTextPrinter.S.SigleShowText (3, "OMG... Wake up late...");
					CsTextPrinter.S.disappearTime = 5f;

					Char_Manager.Emotion_Change (-2);
				} else {
					CsTextPrinter.S.SigleShowText (3, "Oh... It's just Wednesday...");
					CsTextPrinter.S.disappearTime = 5f;

					Char_Manager.Emotion_Change (-1);
				}
			}
			else if (Today.Equals (Week.Thu))
			{
				if (Char_Manager.isLate ()) {
					CsTextPrinter.S.SigleShowText (3, "OMG... Wake up late...");
					CsTextPrinter.S.disappearTime = 5f;

					Char_Manager.Emotion_Change (-2);
				} else {
					CsTextPrinter.S.SigleShowText (3, "Finally, Tomorrow is Friday!!");
					CsTextPrinter.S.disappearTime = 5f;
				}
			}
			else if (Today.Equals (Week.Fri))
			{
				if (Char_Manager.isLate ()) {
					CsTextPrinter.S.SigleShowText (3, "OMG... Wake up late...");
					CsTextPrinter.S.disappearTime = 5f;

					Char_Manager.Emotion_Change (-2);
				} else {
					CsTextPrinter.S.SigleShowText (3, "Friday!!!");
					CsTextPrinter.S.disappearTime = 5f;
				}
			}

		}
	}
}