﻿using UnityEngine;
using System.Collections;

public class CsWeekManager : MonoBehaviour {
	
	public static CsWeekManager S;

	public CsWakeUpSlow wakeUp;
	public GameObject Button;

	public AudioSource call;

	void Awake()
	{
		S = this;
	}

	void Start () {
		WakeUp ();
		Invoke ("FadeIO", 3.5f);
		Invoke ("TextPrint", 3.5f);
		Invoke ("ShowButton", 10f);
	}








	void WakeUp(){
		wakeUp.DoEvent ();
	}

	void FadeIO()
	{
		CsFadeIO.S.StartFadeIO();
	}

	void TextPrint()
	{
		CsTextPrinter.S.ShowAllTextes ();
	}

	void ShowButton()
	{
		Button.gameObject.SetActive (true);
	}

	public void Ringing()
	{
		//run *.wav file.

		call.Play ();
		Invoke ("RingStop", 2f);

		CsFadeIO.S.fadeDelayTime = 999999f;
		Invoke ("FadeIO", 3.5f);
		Invoke ("ShowReadersChooseSelection", 4.5f);
	}

	void RingStop()
	{
		call.Stop ();
	}

	void ShowReadersChooseSelection()
	{
		CsButton.S.A = "Do.";
		CsButton.S.B = "Do not.";
		CsButton.S.Title = "Assistant manager ask private task.";
		CsButton.S.gameObject.SetActive (true);
	}
}