﻿using UnityEngine;
using System.Collections;

public class TouchEvent_LOGO : Event {
	SpriteRenderer _Render;

	public bool bFadeOut;

	Color col;

	void Awake()
	{
		_Render = GetComponent<SpriteRenderer> ();	
		bFadeOut = false;

		StartCoroutine (FadeOut ());
	}
		

	void Update()
	{
		if (bFadeOut) {
			col = _Render.color;
			col.a -= 1.0f * Time.deltaTime;

			if (col.a <= 0.0f)
			{
				col.a = 0.0f;
				bFadeOut = false;
			}
			_Render.color = col;
		}
	}

	IEnumerator FadeOut()
	{
		yield return new WaitForSeconds (1.5f);

		bFadeOut = true;
		yield return new WaitForSeconds (1.5f);

		CsFadeIO.S.StartFadeIO ();

		yield return new WaitForSeconds (1.5f);

		Application.LoadLevel ("Play");
	}
}
